Package Details: earbuds 0.1.7-1

Git Clone URL: https://aur.archlinux.org/earbuds.git (read-only, click to copy)
Package Base: earbuds
Description: Control your galaxy buds live via cli
Upstream URL: https://github.com/JojiiOfficial/LiveBudsCli
Licenses: GPL3
Submitter: Jojii
Maintainer: Jojii
Last Packager: Jojii
Votes: 0
Popularity: 0.000000
First Submitted: 2020-10-16 22:30
Last Updated: 2020-11-22 17:07

Latest Comments

Alfred456654 commented on 2020-11-09 20:16

Hi! I know nothing about rust but trying to install this gave me this error:

==> Making package: earbuds 0.1.6-2 (Mon 09 Nov 2020 09:08:47 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating LiveBudsCli git repo...
Fetching origin
==> Validating source files with md5sums...
    LiveBudsCli ... Skipped
==> Extracting sources...
  -> Creating working copy of LiveBudsCli git repo...
Reset branch 'makepkg'
==> Removing existing $pkgdir/ directory...
==> Starting build()...
    Updating crates.io index
error: failed to get `async-std` as a dependency of package `earbuds v0.1.6 (/tmp/trizen-alfred/earbuds/src/LiveBudsCli)`

Caused by:
  failed to fetch `https://github.com/rust-lang/crates.io-index`

Caused by:
  failed to authenticate when downloading repository: ssh://git@github.com/rust-lang/crates.io-index

  * attempted ssh-agent authentication, but no usernames succeeded: `git`

  if the git CLI succeeds then `net.git-fetch-with-cli` may help here
  https://doc.rust-lang.org/cargo/reference/config.html#netgit-fetch-with-cli

Caused by:
  error authenticating: no auth sock variable; class=Ssh (23)
==> ERROR: A failure occurred in build().
    Aborting...
:: Unable to build earbuds - makepkg exited with code: 4